﻿#======================================================
#  Fix Name: Malware Folder/Log Cleaner 
#  Version #: 2.0
#  Date Created: 4-10-2016
#  Creator Name: Jose Castelan
#  Contact Info: jocaste@microsoft.com
#  Supported Operating Systems: universal for windows os
#======================================================

#======================================================
#              Description
#
# This script will remove folders and files left behind
# by malware removal and pc tune up.
#
#======================================================

#======================================================
#              Change Log
#
#               4/10/16
# Version 2 implements if/else statement to test path
# if path exist file is deleted else write prompt prints
# to show that the path does not exist. Much cleaner this way.
#
#		4/15/16
# Added JRT.txt (Junkware Removal Tool log) to removal sequence.
#======================================================
write " "
write "              Malware Folder/Log Cleaner"
write "======================================================"
write "   Script will remove adwcleaner, rkill, jrt, trendmicro, "
write "      viprerescue, and sigtuneup paths/directories "
write "======================================================"
write " "
write " "
If (Test-Path C:\Adwcleaner)
{
	Remove-Item C:\Adwcleaner -Recurse
	write "	Removal of adwcleaner path successful."
	write " "
}
else
{
	write "	Adwcleaner path does not exist."
	write " "
}

If (Test-Path $env:USERPROFILE\Desktop\Rkill.txt)
{
	Remove-Item $env:USERPROFILE\Desktop\Rkill.txt
	write "	Removal of rkill.txt successful."
	write " "
}
else
{
	write "	Rkill.txt does not exist."
	write " "
}

If (Test-Path $env:USERPROFILE\Desktop\JRT.txt)
{
	Remove-Item $env:USERPROFILE\Desktop\JRT.txt
	write "	Removal of JRT.txt successful."
	write " "
}
else
{
	write "	JRT.txt does not exist."
	write " "
}

If (Test-Path C:\trendmicro)
{
	Remove-Item C:\trendmicro -Recurse
	write "	Removal of trendmicro path successful."
	write " "
}
else
{
	write "	Trendmicro path does not exist."
	write " "
}

If (Test-Path C:\viprerescue)
{
	Remove-Item C:\viprerescue -Recurse
	write "	Removal of viprerescue path successful."
	write " "
}
else
{
	write "	Viprerescue path does not exist."
	write " "
}
 
If (Test-Path C:\SigTuneup)
{
	Remove-Item C:\SigTuneup -Recurse
	write "	Removal of SigTuneup path successful."
	write " "
}
else
{
	write "	SigTuneup path does not exist."
	write " "
}

write " "
write "======================================================"
pause;