@ECHO off
REM #======================================================
REM #  Fix Name: File Share Cache Reset
REM #  Version #: 1
REM #  Date Created: 4/4/16
REM #  Creator Name: Paul Foty - Templated by Kristine Young
REM #  Contact Info: kriyoung@microsoft.com
REM #  Supported Operating Systems:
REM #======================================================
REM #======================================================
REM #              Description
REM #
REM # This script self-elevates itself and then performs the
REM # following:
REM # 
REM # Resets File Share Cache by: 
REM # adding a registry entry to "HKLM\System\CurrentControlSet\Services\CSC\Parameters"
REM # with a value named FormatDatabase of type REG_DWORD and data value of 1 without 
REM # prompting for confirmation 
REM #
REM #======================================================

REM #======================================================
REM #              Variables
REM #======================================================

REM # No variables needed

REM #======================================================
REM #              Require Admin
REM #======================================================
@ECHO OFF
:checkPrivileges 
NET FILE 1>NUL 2>NUL 
if '%errorlevel%' == '0' ( goto PerformFix ) else ( goto getPrivileges ) 
 
:getPrivileges 
if '%1'=='ELEV' (shift & goto gotPrivileges) 
ECHO. 
ECHO ========================================== 
ECHO Invoking UAC for Privilege Escalation 
ECHO ========================================== 
 
setlocal DisableDelayedExpansion 
set "batchPath=%~0" 
setlocal EnableDelayedExpansion 
ECHO Set UAC = CreateObject^("Shell.Application"^) > "%temp%\OEgetPrivileges.vbs" 
ECHO UAC.ShellExecute "!batchPath!", "ELEV", "", "runas", 1 >> "%temp%\OEgetPrivileges.vbs" 
"%temp%\OEgetPrivileges.vbs" 
exit /B 


:PerformFix
REM #======================================================
REM #              Perform Fix
REM #======================================================
REM # Syntax : reg add <KeyName> [{/v ValueName | /ve}] [/t DataType] [/s Separator] [/d Data] [/f]
REM # To add a registry entry to "HKLM\System\CurrentControlSet\Services\CSC\Parameters"
REM # with a value named FormatDatabase of type REG_DWORD and data value of 1 without 
REM # prompting for confirmation 

REG ADD "HKLM\System\CurrentControlSet\Services\CSC\Parameters" /v FormatDatabase /t REG_DWORD /d 1 /f
ECHO Please reboot the computer to finish the repair.

REM # Holding screen open prior to closing
pause


REM #======================================================
REM #              Exiting Fix
REM #======================================================
:EOF