@ECHO off
REM #======================================================
REM #  Fix Name: Network Reset
REM #  Version #: 1.1
REM #  Date Created: 
REM #  Creator Name: Paul Foty
REM #  Contact Info: paulfoty@microsoft.com
REM #  Supported Operating Systems: 7, 8x, 10
REM #======================================================
REM #======================================================
REM #              Description
REM #
REM # This script self-elevates itself and then performs the
REM # following:
REM # 
REM # 1) Releases the IP Address
REM # 2) Deletes the DNS servers
REM # 3) Registers the DNS Servers
REM # 4) Renews the IP Address
REM # 5) Resets the Winsock Catalog
REM # 6) Resets TCP/IP
REM # 7) Resets offline file caching
REM #======================================================

REM #======================================================
REM #              Variables
REM #======================================================

REM #======================================================
REM #              Require Admin
REM #======================================================
@ECHO OFF
:checkPrivileges 
NET FILE 1>NUL 2>NUL 
if '%errorlevel%' == '0' ( goto gotPrivileges ) else ( goto getPrivileges ) 
 
:getPrivileges 
if '%1'=='ELEV' (shift & goto gotPrivileges) 
ECHO. 
ECHO ========================================== 
ECHO Invoking UAC for Privilege Escalation 
ECHO ========================================== 
 
setlocal DisableDelayedExpansion 
set "batchPath=%~0" 
setlocal EnableDelayedExpansion 
ECHO Set UAC = CreateObject^("Shell.Application"^) > "%temp%\OEgetPrivileges.vbs" 
ECHO UAC.ShellExecute "!batchPath!", "ELEV", "", "runas", 1 >> "%temp%\OEgetPrivileges.vbs" 
"%temp%\OEgetPrivileges.vbs" 
exit /B 
 
:gotPrivileges 
REM #======================================================
REM #              Perform Fix
REM #======================================================
:PerformFix

netsh interface ipv4 delete dnsservers "Ethernet" all
netsh interface ipv4 delete dnsservers "Wi-Fi" all
netsh interface ipv4 delete dnsservers "Local Area Connection" all

REM #These are needed for situations where there are multiple
REM #Ethernet connections or a bridge has been created on the client PC

netsh interface ipv4 delete dnsservers "Ethernet 1" all
netsh interface ipv4 delete dnsservers "Ethernet 2" all
netsh interface ipv4 delete dnsservers "Ethernet 3" all
netsh interface ipv4 delete dnsservers "Ethernet 4" all
netsh interface ipv4 delete dnsservers "Ethernet 5" all
netsh interface ipv4 delete dnsservers "Ethernet 6" all
netsh interface ipv4 delete dnsservers "Ethernet 7" all
netsh interface ipv4 delete dnsservers "Ethernet 8" all
CLS
ECHO The DNS Servers have been removed
ipconfig /release
ECHO The IP Address was released
ipconfig /registerdns
ECHO The DNS has been registered
ipconfig /renew
ECHO The IP Address was renewed
netsh winsock reset catalog
ECHO The Winsock catalog has been reset
netsh int ip reset reset.log
ECHO The TCP/IP has been reset
ECHO.
REG ADD "HKLM\System\CurrentControlSet\Services\CSC\Parameters" /v FormatDatabase /t REG_DWORD /d 1 /f
ECHO Offline Client Side Caching has been reset
ECHO.
ECHO.
ECHO #======================================================#
ECHO #   Please reboot the computer to finish the repair.   #
ECHO #======================================================#
ECHO.
PAUSE