@ECHO off
REM #======================================================
REM #  Fix Name: Remove a User Profile folder
REM #  Version #: 1
REM #  Date Created: 4/26/16
REM #  Creator Name: Kristine Young
REM #  Contact Info: kriyoung@microsoft.com
REM #  Supported Operating Systems:
REM #======================================================
REM #======================================================
REM #              Description
REM #
REM # This script self-elevates itself and then performs the
REM # following:
REM #  
REM #
REM # 1) Displays the name of the User Profiles on the computer
REM # 2) Remove a specific profile
REM #======================================================

REM #======================================================
REM #              Variables
REM #======================================================


REM #======================================================
REM #              Require Admin
REM #======================================================
@ECHO OFF
:checkPrivileges 
NET FILE 1>NUL 2>NUL 
if '%errorlevel%' == '0' ( goto PerformFix ) else ( goto getPrivileges ) 
 
:getPrivileges 
if '%1'=='ELEV' (shift & goto gotPrivileges) 
ECHO. 
ECHO ========================================== 
ECHO Invoking UAC for Privilege Escalation 
ECHO ========================================== 
 
setlocal DisableDelayedExpansion 
set "batchPath=%~0" 
setlocal EnableDelayedExpansion 
ECHO Set UAC = CreateObject^("Shell.Application"^) > "%temp%\OEgetPrivileges.vbs" 
ECHO UAC.ShellExecute "!batchPath!", "ELEV", "", "runas", 1 >> "%temp%\OEgetPrivileges.vbs" 
"%temp%\OEgetPrivileges.vbs" 
exit /B 


REM #======================================================
REM #              Perform Fix
REM #======================================================
:PerformFix

REM #  create a blank directory
md c:\BlankProfile

cls

:List
ECHO ================================================================
ECHO                      Profile Folder Remover
ECHO ================================================================
REM # Display users
cd  c:\users\
dir 
ECHO.
set /p profile="Enter the profile name you would like to remove(type "quit" to exit): "

IF "%profile%" == "quit" GOTO EOF
IF EXIST C:\users\%profile% GOTO RemoveProfile
IF NOT EXIST C:\users\%profile% GOTO NoProfile


REM #======================================================
REM #              Remove Profile
REM #======================================================
:RemoveProfile
cls
ECHO ================================================================
ECHO WARNING ONCE A PROFILE IS DELETED THERE IS NO WAY TO RETRIEVE IT
ECHO ================================================================
set /p verify= "Are you sure you want to delete %profile% 's Profile? (Y/N): "

IF "%verify%" == "Y" ( 
Robocopy "c:\BlankProfile" "c:\users\%profile%" /mir 
RMDIR C:\users\%profile% 
echo Profile has been removed
GOTO EOF
)
IF "%verify%" == "y" ( 
Robocopy "c:\BlankProfile" "c:\users\%profile%" /mir 
RMDIR C:\users\%profile% 
echo Profile has been removed
GOTO EOF
)

cls
echo Did not delete profile %profile%
GOTO List

REM #======================================================
REM #              Profile does not exist
REM #======================================================

:NoProfile
cls
echo profile %profile% - does not exist.
echo Try Again.
GOTO List

REM #======================================================
REM #              Exiting Fix
REM #======================================================
:EOF
echo.
REM # clean up  - Remove blank directory
rmdir c:\BlankProfile

echo Exiting Fix.
pause