﻿#======================================================
#              Reset Hitman Pro
#              Version 1.0
#              2-27-2016
#              Jose Castelan
#======================================================

#======================================================
#              Description
#
# This script will remove app data folder in order 
# to reset 30 day trial for Hitman Pro.
#
#======================================================

#======================================================
#              Variables
#======================================================

#Sets a variable to show what the current elevation level is.

$userState = new-object System.Security.Principal.WindowsPrincipal([System.Security.Principal.WindowsIdentity]::GetCurrent());
  

#======================================================
#              Elevate to Administrator
#======================================================

# Checks to see if process is elevated to Administrator.

if ($userState.IsInRole([System.Security.Principal.WindowsBuiltInRole]::Administrator))  
    {

      write-host "Running as Administrator";

    }
else  #If the process is not Administrator elevate it.
    {

      write-host "Elevating to Administrator.";

      #Starts new Powershell process as Administrator and passes on remaining code.

      Start-Process powershell -Verb runAs -ArgumentList $myInvocation.MyCommand.Definition;

      #Closes user level process. 

      exit;

    }

#======================================================
#               Reset
#======================================================
write "Removing Directory in Program Files"
Remove-Item C:\Program Files\HitmanPro -Recurse
write "Removal Successful if no red comments are listed above."
write " " 
 

write "Removing Directory in Program Data"
Remove-Item C:\ProgramData\HitmanPro -Recurse
write "Removal Successful if no red comments are listed above."
write " " 


write "Removing Directory in Registry"
Remove-Item HKLM:\SOFTWARE\HitmanPro -Recurse
write "Removal Successful if no red comments are listed above."
write " " 

pause;