@ECHO off
REM #======================================================
REM #  Fix Name: System File Checker - Export Error List
REM #  Version #: 1
REM #  Date Created: 4/4/16
REM #  Creator Name: Paul Foty
REM #  Supported Operating Systems:
REM #======================================================
REM #======================================================
REM #              Description
REM #
REM # This script self-elevates itself and then performs the
REM # following:
REM # 
REM # Exports System File Checker log to a text file on the
REM # desktop
REM # 
REM # If the log file is blank, it is because no corrupt
REM # files were identified in the log
REM #======================================================

REM #======================================================
REM #              Variables
REM #======================================================

REM # No variables needed

REM #======================================================
REM #              Require Admin
REM #======================================================
:check_admin_permissions
CLS
net session >nul 2>&1
if %errorLevel% == 0 (
    GOTO PerformFix
) else (
    ECHO.
    ECHO Please re-run this script as an Administrator.
)
pause >nul
GOTO :EOF

REM #======================================================
REM #              Perform Fix
REM #======================================================
:PerformFix

REM # Finds the log file after sfc /scannow has been ran
REM # and saves it as sfcdetails.txt file on the desktop

ECHO.
findstr /c:"[SR]" %windir%\Logs\CBS\CBS.log >"%userprofile%\Desktop\sfcdetails.txt"
ECHO The Log details have been exported to %userprofile%\Desktop\sfcdetails.txt.  If the log file is blank, it is because no corrupt files were identified in the log
ECHO.
ECHO.

REM # Holding screen open prior to closing
pause


REM #======================================================
REM #              Exiting Fix
REM #======================================================
:EOF