﻿#======================================================
#              Edge-Installer
#              Version 1.0
#              2-22-2016
#              Daniel Connolly
#======================================================

#======================================================
#              Description
#
# This script self-elevates itself and then does the
# following:
# 
# 1) Uninstalls Edge
# 2) Reinstalls Edge
#======================================================

#======================================================
#              Variables
#======================================================

#Sets a variable to show what the current elevation level is.

$userState = new-object System.Security.Principal.WindowsPrincipal([System.Security.Principal.WindowsIdentity]::GetCurrent());
  

#======================================================
#              Elevate to Administrator
#======================================================

# Checks to see if process is elevated to Administrator.

if ($userState.IsInRole([System.Security.Principal.WindowsBuiltInRole]::Administrator))  
    {

      write-host "Running as Administrator";

    }
else  #If the process is not Administrator elevate it.
    {

      write-host "Elevating to Administrator.";

      #Starts new Powershell process as Administrator and passes on remaining code.

      Start-Process powershell -Verb runAs -ArgumentList $myInvocation.MyCommand.Definition;

      #Closes user level process. 

      exit;

    }


#======================================================
#               Remove Edge
#======================================================

write-host "Uninstalling Edge";

#Removes Edge from AppData

Remove-Item -Recurse -Force $env:USERPROFILE\AppData\Local\Packages\Microsoft.MicrosoftEdge_8wekyb3d8bbwe\* 2>$null;

clear;


#======================================================
#               Reinstall edge
#======================================================

write-host "Reinstalling Edge"; 

#Installs a clean copy of Edge

Get-AppXPackage  -Name Microsoft.MicrosoftEdge | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml" -Verbose} 2>$null;

clear;

