@ECHO off
REM #======================================================
REM #  Fix Name: Window 10 Pro Services Reset
REM #  Version #: 1.0
REM #  Date Created: 4/1/2016
REM #  Creator Name: Cory Perrin
REM #  Contact Info: coryper@microsoft.com
REM #  Supported Operating Systems: Windows 10 Pro
REM #======================================================
REM #======================================================
REM #              Description
REM #
REM # This script self-elevates itself and then performs the
REM # following:
REM # 
REM # 1) Reset all built-in services for the device
REM #
REM #======================================================


REM #======================================================
REM #              Require Admin
REM #======================================================
:check_admin_permissions
CLS
net session >nul 2>&1
if %errorLevel% == 0 (
    GOTO PerformFix
) else (
    ECHO.
    ECHO Please re-run this script as an Administrator.
)
pause >nul
GOTO :EOF

REM #======================================================
REM #              Perform Fix
REM #======================================================

:PerformFix

sc config AxInstSV start= Demand
sc config AJRouter start= Demand 
sc config AppReadiness start= Demand
sc config AppIDSvc start= Demand 
sc config Appinfo start= Demand 
sc config ALG start= Demand
sc config AppMgmt start= Demand
sc config AppXSVC start= Demand
sc config BITS start= Demand
sc config BrokerInfrastructure start= Auto 
sc config BFE start= Auto 
sc config BDESVC start= Demand 
sc config wbengine start= Demand
sc config BthHFSrv start= Demand
sc config bthserv start= Demand 
sc config PeerDistSvc start= Demand
sc config CDPSvc start= Demand
sc config CertPropSvc start= Demand
sc config c2wts start= Demand
sc config ClipSVC start= Demand 
sc config KeyIso start= Demand 
sc config EventSystem start= Auto 
sc config COMSysApp start= Demand
sc config Browser start= Demand 
sc config CoreUIRegistrar start= Auto 
sc config VaultSvc start= Demand 
sc config CryptSvc start= Auto 
sc config DsSvc start= Demand 
sc config DcpSvc start= Demand 
sc config DcomLaunch start= Auto 
sc config DoSvc start= Auto 
sc config DeviceAssociationService start= Demand 
sc config DeviceInstall start= Demand 
sc config DmEnrollmentSvc start= Demand
sc config DsmSVC start= Demand 
sc config DevQueryBroker start= Demand 
sc config Dhcp start= Auto 
sc config DPS start= Auto 
sc config WdiServiceHost start= Demand 
sc config WdiSystemHost start= Demand
sc config DiagTrack start= Auto 
sc config TrkWks start= Auto 
sc config MSDTC start= Demand
sc config dmwappushsvc start= Auto 
sc config Dnscache start= Auto 
sc config MapsBroker start= Auto 
sc config embeddedmode start= Demand 
sc config EFS start= Demand 
sc config EntAppSvc start= Demand
sc config EapHost start= Demand
sc config Fax start= Demand
sc config fhsvc start= Demand 
sc config fdPHost start= Demand 
sc config FDResPub start= Demand 
sc config fsvc start= Demand 
sc config gpsvc start= Auto 
sc config hkmsvc start= Demand
sc config HomeGroupListener start= Demand
sc config HomeGroupProvider start= Demand 
sc config hidserv start= Demand 
sc config vmickvpexchange start= Demand 
sc config vmicguestinterface start= Demand 
sc config vmicshutdown start= Demand 
sc config vmicheartbeat start= Demand 
sc config vmicrdv start= Demand 
sc config vmictimesync start= Demand 
sc config vmicvmsession start= Demand 
sc config vmicvss start= Demand 
sc config IKEEXT start= Demand 
sc config UI0Detect start= Demand
sc config SharedAccess start= Demand
sc config IEEtwCollectorService start= Demand
sc config iphlpsvc start= Auto 
sc config PolicyAgent start= Demand 
sc config KtmRm start= Demand 
sc config lltdsvc start= Demand
sc config LSM start= Auto 
sc config diagnosticshub.standardcollector.service start= Demand
sc config wlidsvc start= Demand 
sc config MSiSCSI start= Demand
sc config NgcSvc start= Demand 
sc config NgcCtnrSvc start= Demand 
sc config swprv start= Demand 
sc config smphost start= Demand
sc config SmsRouter start= Demand 
sc config NetTcpPortSharing start= Disabled 
sc config Netlogon start= Demand
sc config NcdAutoSetup start= Demand 
sc config NcbService start= Demand 
sc config Netman start= Demand
sc config NcaSVC start= Demand 
sc config netprofm start= Demand 
sc config NlaSvc start= Auto 
sc config NetSetupSvc start= Demand 
sc config nsi start= Auto 
sc config CscService start= Demand 
sc config defragsvc start= Demand
sc config PNRPsvc start= Demand
sc config p2psvc start= Demand
sc config p2pimsvc start= Demand
sc config pla start= Demand
sc config PlugPlay start= Demand 
sc config PNRPAutoReg start= Demand
sc config WPDBusEnum start= Demand 
sc config Power start= Auto 
sc config Spooler start= Auto 
sc config PrintNotify start= Demand
sc config wercplsupport start= Demand
sc config PcaSvc start= Demand
sc config QWAVE start= Demand
sc config RasAuto start= Demand
sc config RasMan start= Demand
sc config SessionEnv start= Demand 
sc config TermService start= Demand
sc config UmRdpService start= Demand
sc config RpcSs start= Auto 
sc config RpcLocator start= Demand
sc config RemoteRegistry start= Disabled
sc config RetailDemo start= Demand
sc config RemoteAccess start= Disabled
sc config RpcEptMapper start= Auto 
sc config seclogon start= Demand
sc config SstpSvc start= Demand
sc config SamSs start= Auto 
sc config wscsvc start= Auto
sc config SensorDataService start= Demand 
sc config SensrSvc start= Demand 
sc config SensorService start= Demand 
sc config LanmanServer start= Auto 
sc config ShellHWDetection start= Auto 
sc config SCardSvr start= Disabled
sc config ScDeviceEnum start= Demand 
sc config SCPolicySvc start= Demand
sc config SNMPTRAP start= Demand
sc config sppsvc start= Auto
sc config svsvc start= Demand 
sc config SSDPSRV start= Demand 
sc config StateRepository start= Demand 
sc config WiaRpc start= Demand
sc config StorSvc start= Demand 
sc config SysMain start= Auto 
sc config SENS start= Auto 
sc config SystemEventsBroker start= Auto 
sc config Schedule start= Auto 
sc config lmhosts start= Demand 
sc config TapiSrv start= Demand
sc config Themes start= Auto 
sc config tiledatamodelsvc start= Auto 
sc config TimeBroker start= Demand 
sc config TabletInputService start= Demand 
sc config UsoSvc start= Demand
sc config upnphost start= Demand
sc config UserManager start= Auto 
sc config ProfSvc start= Auto 
sc config vds start= Demand
sc config VSS start= Demand
sc config WalletService start= Demand
sc config WebClient start= Demand 
sc config AudioSrv start= Auto 
sc config AudioEndpointBuilder start= Auto 
sc config SDRSVC start= Demand
sc config WbioSrvc start= Demand 
sc config WcsPlugInService start= Demand
sc config wcncsvc start= Demand
sc config Wcmsvc start= Auto 
sc config WdNisSvc start= Demand
sc config WinDefend start= Auto 
sc config wudfsvc start= Demand 
sc config WEPHOSTSVC start= Demand 
sc config WerSvc start= Demand 
sc config Wecsvc start= Demand
sc config EventLog start= Auto 
sc config MpsSvc start= Auto 
sc config FontCache start= Auto 
sc config StiSvc start= Demand
sc config msiserver start= Demand
sc config LicenseManager start= Demand 
sc config Winmgmt start= Auto 
sc config WMPNetworkSvc start= Demand
sc config icssvc start= Demand 
sc config TrustedInstaller start= Demand
sc config Wms start= Auto 
sc config WmsRepair start= Auto 
sc config WpnService start= Demand
sc config WinRM start= Auto 
sc config WSearch start= Auto
sc config WSService start= Demand 
sc config W32Time start= Demand 
sc config wuauserv start= Demand 
sc config WinHttpAutoProxySvc start= Demand 
sc config dot3svc start= Demand
sc config WlanSvc start= Auto
sc config wmiApSrv start= Demand
sc config workfolderssvc start= Demand
sc config LanmanWorkstation start= Auto 
sc config WwanSvc start= Demand
sc config XblAuthManager start= Demand
sc config XblGameSave start= Demand
sc config XboxNetApiSvc start= Demand

pause

REM #======================================================
REM #              Exiting Fix
REM #======================================================
:EOF